GNU bug report logs - #51887
28.0.60; Gnus use imap.163.com will hang emacs and ran out of memory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Feng Shu" <tumashu@HIDDEN>; Keywords: moreinfo; dated Tue, 16 Nov 2021 09:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 10:56:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 05:56:24 2021
Received: from localhost ([127.0.0.1]:34950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnf5c-0008O4-I9
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:56:24 -0500
Received: from m12-14.163.com ([220.181.12.14]:59935)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1mnf5Z-0008Np-HH
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:56:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=pI7QI
 suzOh0YoPKsAMvYDASY/PHQTaNkZfB2qX/WlDc=; b=djI1AGSGxMIjyStxT5IZH
 TmyXDU5rO93M3KdaOJ3o+ZjJ0kMySq1s316DW/urJV3amGDSpIUEnMMCm+ZMM7Aq
 OPYMGLj23EeghKmIAs9gqgDqQLDBBBHkiLC6VXnEUaQGpFc20i8m35nrSovMn7UB
 Eqtkw9K1/M4BuS9lKnwfoM=
Received: from tumashu (unknown [49.88.37.140])
 by smtp10 (Coremail) with SMTP id DsCowAA3G7lRMZZhhwbFTA--.59206S2;
 Thu, 18 Nov 2021 18:56:18 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN> <87k0h5n7z5.fsf@HIDDEN>
 <87v90pwzkj.fsf@HIDDEN> <87o86hkb6l.fsf@HIDDEN>
 <87y25lwxqd.fsf@HIDDEN> <877dd5kai9.fsf@HIDDEN>
Date: Thu, 18 Nov 2021 18:56:17 +0800
In-Reply-To: <877dd5kai9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 18 Nov 2021 11:45:34 +0100")
Message-ID: <87pmqxwx4e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: DsCowAA3G7lRMZZhhwbFTA--.59206S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4RMUDGDUUUU
X-Originating-IP: [49.88.37.140]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBLBZP1F++N-chrgAAsP
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Feng Shu" <tumashu@HIDDEN> writes:
>
>> Maybe we can let user choice a max number when faced this situation
>> instead of hang emacs.
>
> Well, people have different computers, so finding a reasonable limit
> isn't trivial.  

Do we really open >100000 mails a time? :-)

-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 10:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 05:46:03 2021
Received: from localhost ([127.0.0.1]:34921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnevb-00081C-6C
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:46:03 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mnevK-000808-R3
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:46:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=DulCYH5TdJgRgQSLDYx+Asmx9LpMtKbsB5vnirLPWlk=; b=nTGFPKiuir8PN2z4C8c4xS8FYk
 GSMQKvi2Jyr28phq4mTd2MFvLIKxPAr72mTHGtsO6cRxvIhGgfQyvVF9vucPJvwRLKmWIfPjFtaUi
 sc8jlLpq+R8k3KMA/vTbHZnLGiPHaPPLeaIYn8thhoKN599E7RAJKfCHzsi1ngZjDvTU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mnev8-0008O6-Mt; Thu, 18 Nov 2021 11:45:37 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Feng Shu" <tumashu@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN> <87k0h5n7z5.fsf@HIDDEN>
 <87v90pwzkj.fsf@HIDDEN> <87o86hkb6l.fsf@HIDDEN>
 <87y25lwxqd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUnHhVMNyiTaEpp
 Tj7RrXX///9/7+YmAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+ULEgocGYgW/t8AAAG9SURBVDjLjZPR
 oeQgCEVl8gqQ2EACFhBkKnDtv6YFTTJm3n4sXzM5ghe8hPAfAfj1gYl4JSIRjCFOwL5pB4w4ZWHA
 HklLVf9z5qBeN5TcqJ8a/5WO80RpjQRRZZBSJlAFUM9aSa+aXkrwLpWuOzDlxp/vwYQPiYCFbkkW
 jbSMsn56aq+1XHaZ+71BKyzyT2Cj+gXAgV1zfA95gPoEqcORoTPQE1jDtI8eh171X6FVyieAD0gY
 ast8ZcAHSKA35SNts1TpE6Q1t+M1AMRoKWDA1DRqbU8s6GPBuEpXZaC/gB0FBxCXG1yxxLPaN0jj
 gdLRQdFZip83nbD/Bos5JDqgCbieYOrQ5X4AxJXdrcnIMyOCj/6t5rcncKEh/LAq7vAEfv1Syazx
 Omaw9AlXokoVHxl9kPY2OfNl7BH93X+YcyWOYCffPNHXHy5U2Foyl/O9eQBR1SzrOlJidjGOIO8x
 qVIHefcFKeQbQLqDYKI+aXNb2cKiebM1sEujr4MM77YNEJpI4SN0exZ/TV96802yjjFFXGV2q62Z
 Kqu//toeNlbbBO22SHbN6Fo9mN4+Vs8gA52QhxYz/FlqG4v7F8BoTVez+SRJAAAAJXRFWHRkYXRl
 OmNyZWF0ZQAyMDIxLTExLTE4VDEwOjI4OjI1KzAwOjAwmy3duQAAACV0RVh0ZGF0ZTptb2RpZnkA
 MjAyMS0xMS0xOFQxMDoyODoyNSswMDowMOpwZQUAAAAASUVORK5CYII=
X-Now-Playing: Sandy Denny's _The North Star Grassman and the Ravens_:
 "Wretched Wilbur"
Date: Thu, 18 Nov 2021 11:45:34 +0100
In-Reply-To: <87y25lwxqd.fsf@HIDDEN> (Feng Shu's message of "Thu, 18 Nov 2021
 18:43:06 +0800")
Message-ID: <877dd5kai9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Feng Shu" <tumashu@HIDDEN> writes: > Maybe we can let user
 choice a max number when faced this situation > instead of hang emacs. Well,
 people have different computers, so finding a reasonable limit isn't trivial.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Feng Shu" <tumashu@HIDDEN> writes:

> Maybe we can let user choice a max number when faced this situation
> instead of hang emacs.

Well, people have different computers, so finding a reasonable limit
isn't trivial.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 10:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 05:43:17 2021
Received: from localhost ([127.0.0.1]:34916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnesu-0007uz-Q1
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:43:16 -0500
Received: from m12-17.163.com ([220.181.12.17]:38706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1mnesr-0007ui-WB
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:43:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=EaMKt
 IRlG54I37ftbBhljkP2aUyeNuctgLsspx45pCs=; b=T8V4bToODu5imycO/S8bv
 U6CpHN0RKpFnBBxCUH8qyEvhbASVtVmpLfHjw43x/drg0BHEVXeBrT27RblCXIFX
 f1krjUkqFqTrI2gjlFYSwavRqSkLYRTGjH4Xf7jjiVZwQW8tQpsnbw4OKdFcTJXN
 rFuTtuduTi2v6EcGdkJ3Cw=
Received: from tumashu (unknown [49.88.37.140])
 by smtp13 (Coremail) with SMTP id EcCowABHb4M7LpZh+GJ+YQ--.38660S2;
 Thu, 18 Nov 2021 18:43:07 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN> <87k0h5n7z5.fsf@HIDDEN>
 <87v90pwzkj.fsf@HIDDEN> <87o86hkb6l.fsf@HIDDEN>
Date: Thu, 18 Nov 2021 18:43:06 +0800
In-Reply-To: <87o86hkb6l.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 18 Nov 2021 11:30:58 +0100")
Message-ID: <87y25lwxqd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: EcCowABHb4M7LpZh+GJ+YQ--.38660S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4RM_M-UUUUU
X-Originating-IP: [49.88.37.140]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiLxhP1FUMauMcIgABsD
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Feng Shu" <tumashu@HIDDEN> writes:
>
>> I only have <10000 mails, just email's UID are very large numbers.
>
> Yup.  The issue is that Gnus will sometimes convert these ranges into
> lists, and when the UIDs are very large, that blows up.  The real fix
> here is to change Gnus to never do that, but always work on ranges.
> It's a rather daunting task, though, since so many of Gnus' innards work
> on lists of article numbers, not ranges.

Maybe we can let user choice a max number when faced this situation instead of hang emacs.

-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 10:31:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 05:31:11 2021
Received: from localhost ([127.0.0.1]:34898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnehD-0006Pm-HK
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:31:11 -0500
Received: from quimby.gnus.org ([95.216.78.240]:47234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mnehC-0006Jd-3Z
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:31:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UoozudZ9DwJ/tighPaLFxxxgXnbjUd0RsYMV+ZfrxYg=; b=VDQv6oTct6vPQdcf0U7edVL38R
 5GCDeWOu+AlD6OGcw72vANGUbFwYo/sBpDJAcN/uWca+wjnLm0iUXAnX/E9oqrSre+qqe4dJGNpxt
 5nk7qyxSAiVvZCaZvjMmU3Dr82TJGp/DoYplDFQ0z6/rI1rd/PEb9RZe6Jk5Zc9ROqbw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mneh1-0008J1-EQ; Thu, 18 Nov 2021 11:31:01 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Feng Shu" <tumashu@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN> <87k0h5n7z5.fsf@HIDDEN>
 <87v90pwzkj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUnHhVMNyiTaEpp
 Tj7RrXX///9/7+YmAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+ULEgocGYgW/t8AAAG9SURBVDjLjZPR
 oeQgCEVl8gqQ2EACFhBkKnDtv6YFTTJm3n4sXzM5ghe8hPAfAfj1gYl4JSIRjCFOwL5pB4w4ZWHA
 HklLVf9z5qBeN5TcqJ8a/5WO80RpjQRRZZBSJlAFUM9aSa+aXkrwLpWuOzDlxp/vwYQPiYCFbkkW
 jbSMsn56aq+1XHaZ+71BKyzyT2Cj+gXAgV1zfA95gPoEqcORoTPQE1jDtI8eh171X6FVyieAD0gY
 ast8ZcAHSKA35SNts1TpE6Q1t+M1AMRoKWDA1DRqbU8s6GPBuEpXZaC/gB0FBxCXG1yxxLPaN0jj
 gdLRQdFZip83nbD/Bos5JDqgCbieYOrQ5X4AxJXdrcnIMyOCj/6t5rcncKEh/LAq7vAEfv1Syazx
 Omaw9AlXokoVHxl9kPY2OfNl7BH93X+YcyWOYCffPNHXHy5U2Foyl/O9eQBR1SzrOlJidjGOIO8x
 qVIHefcFKeQbQLqDYKI+aXNb2cKiebM1sEujr4MM77YNEJpI4SN0exZ/TV96802yjjFFXGV2q62Z
 Kqu//toeNlbbBO22SHbN6Fo9mN4+Vs8gA52QhxYz/FlqG4v7F8BoTVez+SRJAAAAJXRFWHRkYXRl
 OmNyZWF0ZQAyMDIxLTExLTE4VDEwOjI4OjI1KzAwOjAwmy3duQAAACV0RVh0ZGF0ZTptb2RpZnkA
 MjAyMS0xMS0xOFQxMDoyODoyNSswMDowMOpwZQUAAAAASUVORK5CYII=
X-Now-Playing: Sandy Denny's _The North Star Grassman and the Ravens_: "Down
 In The Flood"
Date: Thu, 18 Nov 2021 11:30:58 +0100
In-Reply-To: <87v90pwzkj.fsf@HIDDEN> (Feng Shu's message of "Thu, 18 Nov 2021
 18:03:24 +0800")
Message-ID: <87o86hkb6l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Feng Shu" <tumashu@HIDDEN> writes: > I only have <10000
 mails, just email's UID are very large numbers. Yup. The issue is that Gnus
 will sometimes convert these ranges into lists, and when the UIDs are very
 large, that blows up. The real fix here is to change Gnus to never do that,
 but always work on ra [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Feng Shu" <tumashu@HIDDEN> writes:

> I only have <10000 mails, just email's UID are very large numbers.

Yup.  The issue is that Gnus will sometimes convert these ranges into
lists, and when the UIDs are very large, that blows up.  The real fix
here is to change Gnus to never do that, but always work on ranges.
It's a rather daunting task, though, since so many of Gnus' innards work
on lists of article numbers, not ranges.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 10:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 05:03:38 2021
Received: from localhost ([127.0.0.1]:34822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mneGX-0004Qz-Vf
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:03:38 -0500
Received: from m12-15.163.com ([220.181.12.15]:45214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1mneGT-0004Qc-Gu
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 05:03:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=F3Te7
 7CjjcMbqA/uU58bBDYihkbi69BJ/ql7XUSwK/o=; b=p1NbrNN20wKT7EpKUCnI3
 1y5kN6aiFNrsUTuolEcsCISnyeEXK2qIAd8abkyi8t4Lf1TIlykhDtK9Br9xyNMq
 TMXkBJ7XvgaUwRHfR/7O/UzojSN5L6Ci3lhnJnktFcWZ7ZopdshaFw0g+w60MwLQ
 tvccVXyEwUKP8jZeR4piqs=
Received: from tumashu (unknown [49.88.37.140])
 by smtp11 (Coremail) with SMTP id D8CowACHtzvtJJZhOcLACg--.32922S2;
 Thu, 18 Nov 2021 18:03:26 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN> <87k0h5n7z5.fsf@HIDDEN>
Date: Thu, 18 Nov 2021 18:03:24 +0800
In-Reply-To: <87k0h5n7z5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 18 Nov 2021 10:11:58 +0100")
Message-ID: <87v90pwzkj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: D8CowACHtzvtJJZhOcLACg--.32922S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvj4RMNtIDUUUU
X-Originating-IP: [49.88.37.140]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBLBBP1F++N-awzwAAs4
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Feng Shu" <tumashu@HIDDEN> writes:
>
>> Debugger entered--Lisp error: (quit)
>>   gnus-uncompress-range((1 . 1320004225))
>>   gnus-articles-to-read("nnimap+imap.163.com:mail.misc" t)
>
> Gnus doesn't deal well with newsgroups that have message numbers in the
> billions by default.  Does setting gnus-newsgroup-maximum-articles help
> here?

When set gnus-newsgroup-maximum-articles to 100000, it works.

I only have <10000 mails, just email's UID are very large numbers.


-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 18 Nov 2021 09:12:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 04:12:11 2021
Received: from localhost ([127.0.0.1]:34705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mndSl-0006iX-Bf
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 04:12:11 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mndSj-0006i8-1x
 for 51887 <at> debbugs.gnu.org; Thu, 18 Nov 2021 04:12:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MQAokhK/Ta9j666VkLol6V7P3ew2ZkXgPUxfco86Acs=; b=lD5zc5PcBR//ol5k4L/xdGw16R
 pCtjJXRraLOPfLiYFtcz6B3BaWI/Fv5lrMBkKx9VdQ/9TWJswwW+j284QbsUmeCG3Tw2c8Z72PBUx
 2Y69bBu9GJtqQnXM1UUkAMQTFx2aI0zfiIyUatOiim8v32ZyugNkLXcjNhnoHIIkkLFo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mndSZ-0007lM-1c; Thu, 18 Nov 2021 10:12:01 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Feng Shu" <tumashu@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
 <87a6i3p51k.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEUJCAkqKiofHx8e
 HiBISEdAPz7///+cw1o9AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+ULEgg1KekNhfYAAAGQSURBVDjL
 5VNBchwhDBRSHjDA+g5DHiBoPyAb+wOpyv/fkgbW5XXKe3BVbpma2Rm6JTUttCL/z3U8Isr6xSM6
 PabGF+TDj0/AzMf8n1mEtA/rXbnH+FvqtW65N7Mae6zTOp6j3zmsV3S2yhqxGN/x+Ep05H7Cq0v4
 +U4sCfAmAbm84dfpLTZC1tKLtfC0t/OddTClucwNXE29uSE+PZV6AlRezNIPBys8abE20BQjdfGV
 Qrb0FN0KnVUchmxG0EoIlHDC2kTTITXBLy7P5cxgLGSYFjkPRwS+sb7NqNkwhXRHFrtk2z5sNqk3
 ldFHzJGE79A5OOOkzuCIxAPhxdgzM8GpSBJSGVH6xavksRtssFFo99Qs4VV6hsP3QRnHIBzdprJr
 R18ixgDKaFGPg5/BkdZhoTKncW8YOTvT3TN0ZdxGs2gePrhGVL0bh2KagxMZ9VRanC7txsHmOwA3
 67LfmQfi41fC/ifMIF/xaaqdMZW/Js50RnpYiN8RzKVPn2XbjZC7zZVJoPmHYuvLppGMP6M+Mp5c
 oDFnAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTExLTE4VDA4OjUzOjQwKzAwOjAwGa0n9gAAACV0
 RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMS0xOFQwODo1Mzo0MCswMDowMGjwn0oAAAAASUVORK5CYII=
X-Now-Playing: Alasdair Roberts og =?utf-8?Q?V=C3=B6lvur's?= _The Old Fabled
 River_: "The Tender Hour"
Date: Thu, 18 Nov 2021 10:11:58 +0100
In-Reply-To: <87a6i3p51k.fsf@HIDDEN> (Feng Shu's message of "Wed, 17 Nov 2021
 16:20:07 +0800")
Message-ID: <87k0h5n7z5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Feng Shu" <tumashu@HIDDEN> writes: > Debugger entered--Lisp
 error: (quit) > gnus-uncompress-range((1 . 1320004225)) >
 gnus-articles-to-read("nnimap+imap.163.com:mail.misc"
 t) Gnus doesn't deal well with newsgroups that have message numbers in the
 billions by default. Does setting gnus-newsgroup-maximum-articles help here?
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Feng Shu" <tumashu@HIDDEN> writes:

> Debugger entered--Lisp error: (quit)
>   gnus-uncompress-range((1 . 1320004225))
>   gnus-articles-to-read("nnimap+imap.163.com:mail.misc" t)

Gnus doesn't deal well with newsgroups that have message numbers in the
billions by default.  Does setting gnus-newsgroup-maximum-articles help
here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 17 Nov 2021 08:20:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 03:20:18 2021
Received: from localhost ([127.0.0.1]:60033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnGB0-0008RH-0b
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 03:20:18 -0500
Received: from m12-18.163.com ([220.181.12.18]:59230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1mnGAw-0008Qx-GC
 for 51887 <at> debbugs.gnu.org; Wed, 17 Nov 2021 03:20:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=qKszs
 cDRdrdDjnXpZQ/C9NlPA8/eclZNRu0WvqsOAUw=; b=nS1V07QBm9Cs382buvozg
 vWRJ6yR8PiZ8GLFYdoApT0EzOz4CXKgQsTXD/YUC7xdytMQO+XflvK6dQ73yB9Xe
 Wq9u3QaqrNQKumYfjk4BHv9n/QHecRjB+a7KsgkOrsRtaoUCzokUJXo7TFJhz+HQ
 zzhEwfyMrCPMWlWwVJdAQc=
Received: from debian (unknown [218.92.14.78])
 by smtp14 (Coremail) with SMTP id EsCowACnorI3u5RhfJKALg--.31738S2;
 Wed, 17 Nov 2021 16:20:10 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory
References: <87czn05uob.fsf@HIDDEN> <87lf1nnqox.fsf@HIDDEN>
Date: Wed, 17 Nov 2021 16:20:07 +0800
In-Reply-To: <87lf1nnqox.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 17 Nov 2021 09:15:26 +0100")
Message-ID: <87a6i3p51k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: EsCowACnorI3u5RhfJKALg--.31738S2
X-Coremail-Antispam: 1Uf129KBjvdXoWrtFy8XryrKr13GrWUCry8Zrb_yoWfGrgEqw
 n8t3W8Xr45Cr4Sg3WYvFs8ZF1SvanrCa18XrW7Ary3A3WUJayDWF9avrn2vF1UArnrWr17
 urW3ZF1Iyrn0yjkaLaAFLSUrUUUUUb8apTn2vfkv8UJUUUU8Yxn0WfASr-VFAUDa7-sFnT
 9fnUUvcSsGvfC2KfnxnUUI43ZEXa7IU81mh7UUUUU==
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiqxpO1FUMbkN5nAAAs6
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> "Feng Shu" <tumashu@HIDDEN> writes:
>
>> But If no new mail, emacs will hang until run out memory when I into
>> this group, If have new mail, works.
>
> Try (setq debug-on-quit t) and then `C-g' when Emacs hangs, and post the
> resulting backtrace.

Debugger entered--Lisp error: (quit)
  gnus-uncompress-range((1 . 1320004225))
  gnus-articles-to-read("nnimap+imap.163.com:mail.misc" t)
  gnus-select-newsgroup("nnimap+imap.163.com:mail.misc" t nil)
  gnus-summary-read-group-1("nnimap+imap.163.com:mail.misc" t t nil nil nil)
  gnus-summary-read-group("nnimap+imap.163.com:mail.misc" t t nil nil nil nil)
  gnus-group-read-group(nil t)
  gnus-group-select-group(nil)
  funcall-interactively(gnus-group-select-group nil)
  command-execute(gnus-group-select-group)


-- 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51887 <at> debbugs.gnu.org:


Received: (at 51887) by debbugs.gnu.org; 17 Nov 2021 08:15:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 03:15:40 2021
Received: from localhost ([127.0.0.1]:60019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnG6V-0006h4-QB
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 03:15:40 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mnG6T-0006Zw-OH
 for 51887 <at> debbugs.gnu.org; Wed, 17 Nov 2021 03:15:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=qhdsUhYV/HSN1K73uOZSNic/TfwnYFYgNf3cpOzHobs=; b=nB3XHy4c6Vf/HULgcFPL1zq2Pg
 DUXsRkHMCloxEf7sanAHfBzYc1NUJx38DlU1PP1U9+KMC8JEDd8wAIl/O6pbf15ejdVlcffG6c+yF
 n4jwuRRaDvsrPwGKn8hAjg08zN7ViQH971dNdsxkm9yi/Q4OgxrxgZrTansKmWx9m3Rk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mnG6K-0005zG-Sy; Wed, 17 Nov 2021 09:15:31 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Feng Shu" <tumashu@HIDDEN>
Subject: Re: bug#51887: 28.0.60; Gnus use imap.163.com will hang emacs and
 ran out of memory 
References: <87czn05uob.fsf@HIDDEN>
X-Now-Playing: The Beatles's _1967-1970 (2)_: "The Ballad Of John And Yoko"
Date: Wed, 17 Nov 2021 09:15:26 +0100
In-Reply-To: <87czn05uob.fsf@HIDDEN> (Feng Shu's message of "Tue, 16 Nov 2021
 17:14:28 +0800")
Message-ID: <87lf1nnqox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Feng Shu" <tumashu@HIDDEN> writes: > But If no new mail,
 emacs will hang until run out memory when I into > this group, If have new
 mail, works. Try (setq debug-on-quit t) and then `C-g' when Emacs hangs,
 and post the resulting backtrace. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51887
Cc: 51887 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

"Feng Shu" <tumashu@HIDDEN> writes:

> But If no new mail, emacs will hang until run out memory when I into
> this group, If have new mail, works.

Try (setq debug-on-quit t) and then `C-g' when Emacs hangs, and post the
resulting backtrace.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2021 09:14:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 16 04:14:43 2021
Received: from localhost ([127.0.0.1]:57216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmuY7-0001hu-1r
	for submit <at> debbugs.gnu.org; Tue, 16 Nov 2021 04:14:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:40826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1mmuY5-0001hk-DK
 for submit <at> debbugs.gnu.org; Tue, 16 Nov 2021 04:14:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34590)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tumashu@HIDDEN>) id 1mmuY5-0006yV-8p
 for bug-gnu-emacs@HIDDEN; Tue, 16 Nov 2021 04:14:41 -0500
Received: from m12-13.163.com ([220.181.12.13]:58834)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tumashu@HIDDEN>) id 1mmuXy-0007ME-H0
 for bug-gnu-emacs@HIDDEN; Tue, 16 Nov 2021 04:14:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=yaERl
 qRl6cp2BKVDKqYpzTQdLVZAFvWjF0yPdc2Mlcw=; b=m2AVZYtpD4Xv+5Fb6wg3z
 uYsmS4TAqsp42XwXZWgJaO/h6up72yhs5dt3DItkbSl5Fp9iooYoyAeaW+uufyYj
 NNA4qN0y+zWw3cVQzoiGA/kngYmtbK12QADOWX9kv62msmcOVdMpIEfy0idC6xlq
 3HtRIySFHSMyqgY+ZKLdDI=
Received: from debian (unknown [218.92.14.78])
 by smtp9 (Coremail) with SMTP id DcCowAA3HPB0dpNhJIbeOQ--.4355S2;
 Tue, 16 Nov 2021 17:14:29 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.60; Gnus use imap.163.com will hang emacs and ran out of memory 
Date: Tue, 16 Nov 2021 17:14:28 +0800
Message-ID: <87czn05uob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: DcCowAA3HPB0dpNhJIbeOQ--.4355S2
X-Coremail-Antispam: 1Uf129KBjvAXoW3urWxuF1fuw4rWFy5KF43trb_yoW8Gr1DKo
 W7ZryUua17ury3GryrGFW8Ja98W3Wa9Fs0qr17Xw4vqayIyFykJ345C3WxJa4fAayUX3s8
 Jry2y3yFqr4fGr1rn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73VFW2AGmfu7bjvjm3
 AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUxWSoDUUUU
X-Originating-IP: [218.92.14.78]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiqxVN1FUMbjksWAAAsd
Received-SPF: pass client-ip=220.181.12.13; envelope-from=tumashu@HIDDEN;
 helo=m12-13.163.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


I use gnus to connect imap.163.com server.

  (setq gnus-secondary-select-methods
        '((nnimap "imap.163.com"
                  (nnimap-inbox "INBOX")
                  (nnimap-split-methods default)
                  (nnimap-expunge t)
                  (nnimap-stream ssl)
                  (nnimap-fetch-partial-articles t))))

It connect success and have the below group:

   *      0: nnimap+imap.163.com:INBOX


But If no new mail, emacs will hang until run out memory when I into this group,
If have new mail, works.


process buffer is like below:

  * 10 EXISTS
  * 0 RECENT
  * OK [UIDVALIDITY 8358120] UIDs valid
  * FLAGS (\Answered \Seen \Deleted \Draft \Flagged)
  * OK [PERMANENTFLAGS (\Answered \Seen \Deleted \Draft \Flagged)] Limited
  169 OK [READ-WRITE] SELECT completed


*imap log*

  17:12:57 [imap.163.com] (inhibited)
  17:12:57 [imap.163.com] 208 CAPABILITY
  17:12:57 [imap.163.com] 209 LIST "" "*" 
  17:12:58 [imap.163.com] 217 LIST "" "*"
  17:12:58 [imap.163.com] 218 SELECT "INBOX"
  17:12:58 [imap.163.com] 219 UID FETCH 1:* FLAGS
  17:12:58 [imap.163.com] 220 EXAMINE "mail.misc"
  17:12:58 [imap.163.com] 221 UID FETCH 1320004027:* FLAGS
  17:12:58 [imap.163.com] 222 EXAMINE "INBOX"
  17:12:58 [imap.163.com] 223 UID FETCH 1320753282:* FLAGS
  17:13:02 [imap.163.com] 224 SELECT "mail.misc"



In GNU Emacs 28.0.60 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-11-16 built on debian
Repository revision: e852822f3db469c985bf022651f184d6ff2c518a
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured using:
 'configure --prefix=/home/feng/emacs/emacs28-gtk-20211116
 --with-native-compilation --with-xwidgets --with-json'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM XWIDGETS GTK3 ZLIB

Important settings:
  value of $LANG: zh_CN.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  global-undo-tree-mode: t
  projectile-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  emms-playing-time-display-mode: t
  emms-playing-time-mode: t
  yas-global-mode: t
  company-posframe-mode: t
  global-company-mode: t
  org-super-agenda-mode: t
  shell-dirtrack-mode: t
  pyim-isearch-mode: t
  vertico-mode: t
  savehist-mode: t
  global-tab-line-mode: t
  global-so-long-mode: t
  electric-pair-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/feng/projects/emacs-packages/pyim/pyim-cregexp hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-cregexp
/home/feng/projects/emacs-packages/pyim/pyim-liberime hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-liberime
/home/feng/projects/emacs-packages/pyim/pyim-candidates hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-candidates
/home/feng/projects/emacs-packages/pyim/pyim-pinyin hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-pinyin
/home/feng/projects/emacs-packages/pyim/pyim-punctuation hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-punctuation
/home/feng/projects/emacs-packages/pyim/pyim-imobjs hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-imobjs
/home/feng/projects/emacs-packages/pyim/pyim-dcache hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-dcache
/home/feng/projects/emacs-packages/pyim/pyim-autoselector hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-autoselector
/home/feng/projects/emacs-packages/pyim/pyim-scheme hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-scheme
/home/feng/projects/emacs-packages/pyim/pyim-codes hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-codes
/home/feng/projects/emacs-packages/pyim/pyim-probe hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-probe
/home/feng/projects/emacs-packages/pyim/pyim-magic hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-magic
/home/feng/projects/emacs-packages/pyim/pyim-dict hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-dict
/home/feng/projects/emacs-packages/pyim/pyim-hacks hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-hacks
/home/feng/projects/emacs-packages/pyim/pyim-pymap hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-pymap
/home/feng/projects/emacs-packages/pyim/pyim-indicator hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-indicator
/home/feng/projects/emacs-packages/pyim/pyim-page hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-page
/home/feng/projects/emacs-packages/pyim/pyim-dhashcache hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-dhashcache
/home/feng/projects/emacs-packages/pyim/pyim-preview hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-preview
/home/feng/projects/emacs-packages/pyim/pyim hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim
/home/feng/projects/emacs-packages/pyim/pyim-entered hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-entered
/home/feng/projects/emacs-packages/pyim/pyim-cstring hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-cstring
/home/feng/projects/emacs-packages/pyim/pyim-outcome hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-outcome
/home/feng/projects/emacs-packages/pyim/pyim-common hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-common
/home/feng/projects/emacs-packages/pyim/pyim-process hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-process
/home/feng/projects/emacs-packages/pyim/pyim-dregcache hides /home/feng/.emacs.d/elpa-28/pyim-20211116.22/pyim-dregcache
/home/feng/.emacs.d/elpa-28/transient-20211105.100/transient hides /home/feng/emacs/emacs28-gtk-20211116/share/emacs/28.0.60/lisp/transient

Features:
(shadow mail-extr emacsbug sendmail misearch multi-isearch jka-compr
gnus-async pyim-dhashcache async mule-util gnus-ml hl-line nndraft nnmh
utf-7 gnutls network-stream nsm nnml cursor-sensor eh-gnus-common
gnus-select-account eww xdg url-queue mm-url gnus-demon gnus-agent
gnus-srvr gnus-score score-mode nnvirtual gnus-msg nntp gnus-cite
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-cache gnus-sum
shr kinsoku svg dom gnus-group gnus-undo gnus-start gnus-dbus dbus
gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int
gnus-range gnus-win gnus nnheader wjw eh-gnus emacs-helper eh-misc
undo-tree xwidget image-mode exif projectile lisp-mnt grep ibuf-ext
ibuffer ibuffer-loaddefs magit-bookmark magit-submodule magit-obsolete
magit-popup magit-blame magit-stash magit-reflog magit-bisect magit-push
magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff diff-mode git-commit log-edit message rmc puny rfc822
mml mml-sec epa gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr mailabbrev mail-utils gmm-utils mailheader pcvs-util add-log
magit-core magit-autorevert magit-margin magit-transient magit-process
with-editor server magit-mode transient magit-git magit-section
magit-utils crm gitpatch aggressive-indent eh-emms emms-librefm-stream
xml emms-librefm-scrobbler emms-playlist-limit emms-i18n emms-history
emms-score emms-stream-info emms-metaplaylist-mode emms-bookmarks
emms-cue emms-mode-line-icon emms-player-xine emms-player-mpd tq
emms-lyrics emms-url emms-streams emms-show-all emms-tag-editor
emms-tag-tracktag emms-mark emms-mode-line emms-info-tinytag
emms-info-metaflac emms-info-opusinfo emms-info-ogginfo
emms-info-mp3info emms-player-vlc emms-player-mpv emms-playing-time
emms-player-mplayer emms-player-simple emms-browser sort
emms-playlist-sort emms-last-played emms-volume emms-volume-sndioctl
emms-volume-mixerctl emms-volume-pulse emms-volume-amixer
emms-playlist-mode emms-source-playlist emms-source-file locate
emms-cache emms-info-native bindat emms-info-exiftool emms-info
emms-later-do emms-setup emms emms-compat epg rfc6068 epg-config el2org
cnfonts cnfonts-ui cus-edit cus-load thingatpt yasnippet vterm
face-remap compile color term disp-table ehelp vterm-module term/xterm
xterm eh-complete company-posframe company-keywords company-etags etags
fileloop xref project company-gtags company-template
company-dabbrev-code company-dabbrev company-files company-capf company
eh-org org-super-agenda ts ht s org-habit ob-python python tramp-sh
tramp tramp-loaddefs trampver tramp-integration files-x tramp-compat
shell parse-time ls-lisp ob-org ob-plantuml ox-extra ox-md ox-org ox-odt
rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse
nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar org-agenda
ox-html table ox-ascii ox-publish ox org-element avl-tree generator
org-protocol autorevert filenotify org-attach org-id org-refile org ob
ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src
ob-comint org-pcomplete pcomplete comint ansi-color org-list org-faces
org-entities noutline outline org-version ob-emacs-lisp ob-core ob-eval
org-table oc-basic bibtex iso8601 time-date org-keys oc org-loaddefs
find-func eh-functions eh-theme modus-vivendi-theme modus-operandi-theme
modus-themes eh-basic cal-china-x cal-china lunar solar cal-dst holidays
hol-loaddefs cal-menu calendar cal-loaddefs pyim-liberime liberime
liberime-core pyim pyim-hacks pyim-probe pyim-cregexp easy-mmode pcase
xr pyim-process pyim-cstring pyim-autoselector pyim-punctuation
pyim-outcome pyim-indicator pyim-preview pyim-magic pyim-candidates
pyim-codes pyim-imobjs pyim-pinyin pyim-pymap pyim-dcache pyim-dict
derived pyim-page pyim-entered popup posframe pyim-scheme pyim-common
dired-ranger ring dired-hacks-utils dash wdired dired dired-loaddefs vc
vc-dispatcher consult-vertico consult orderless vertico savehist
tab-line switch-window switch-window-mvborder switch-window-asciiart
quail so-long elec-pair bookmark text-property-search pp recentf
tree-widget wid-edit elpa-mirror finder-inf ol org-compat advice
org-macs format-spec edmacro kmacro comp comp-cstr warnings rx cl-extra
help-mode info package browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib china-util iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads
xwidget-internal dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 914774 81591)
 (symbols 48 51877 119)
 (strings 32 275864 8282)
 (string-bytes 1 7292453)
 (vectors 16 89807)
 (vector-slots 8 13555358 110222)
 (floats 8 1197 421)
 (intervals 56 1964 1082)
 (buffers 992 27))

-- 





Acknowledgement sent to "Feng Shu" <tumashu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51887; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Nov 2021 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.